import { aZ as h, aW as t, s as i } from "./index-6jcTChn4.js";
import { A } from "./AppCard-YGWCah1h.js";
import { u as m } from "./useIsAppEnabled-i8k_pVtm.js";
const T = function({ app: a, eventType: p }) {
  var o;
  const { getAppData: r, setAppData: s, disabled: n } = h(), d = r("TRACKING_ID"), l = r("API_HOST"), { enabled: c, updateEnabled: u } = m(a);
  return /* @__PURE__ */ t.jsx(
    A,
    {
      hideSettingsIcon: !0,
      app: a,
      switchOnClick: (e) => {
        u(e);
      },
      switchChecked: c,
      teamId: ((o = p.team) == null ? void 0 : o.id) || void 0,
      children: /* @__PURE__ */ t.jsxs("div", { className: "flex flex-col gap-2", children: [
        /* @__PURE__ */ t.jsx(
          i,
          {
            required: !0,
            disabled: n,
            name: "Tracking ID",
            value: d,
            placeholder: "Enter your Tracking ID",
            onChange: (e) => {
              s("TRACKING_ID", e.target.value);
            }
          }
        ),
        /* @__PURE__ */ t.jsx(
          i,
          {
            required: !0,
            disabled: n,
            name: "Api host",
            value: l,
            placeholder: "Enter your Api host url",
            onChange: (e) => {
              s("API_HOST", e.target.value);
            }
          }
        )
      ] })
    }
  );
};
export {
  T as default
};
